from django.conf.urls import url

from pretalx.event.models.event import SLUG_CHARS

from . import views

urlpatterns = [
    url(
        fr"^orga/event/(?P<event>[{SLUG_CHARS}]+)/pages/$",
        views.PageList.as_view(),
        name="index",
    ),
    url(
        fr"^orga/event/(?P<event>[{SLUG_CHARS}]+)/pages/create$",
        views.PageCreate.as_view(),
        name="create",
    ),
    url(
        fr"^orga/event/(?P<event>[{SLUG_CHARS}]+)/pages/(?P<page>[{SLUG_CHARS}]+)/$",
        views.PageUpdate.as_view(),
        name="edit",
    ),
    url(
        fr"^orga/event/(?P<event>[{SLUG_CHARS}]+)/pages/(?P<page>[{SLUG_CHARS}]+)/delete$",
        views.PageDelete.as_view(),
        name="delete",
    ),
    url(
        fr"^orga/event/(?P<event>[{SLUG_CHARS}]+)/pages/(?P<page>[{SLUG_CHARS}]+)/up$",
        views.page_move_up,
        name="up",
    ),
    url(
        fr"^orga/event/(?P<event>[{SLUG_CHARS}]+)/pages/(?P<page>[{SLUG_CHARS}]+)/down$",
        views.page_move_down,
        name="down",
    ),
    url(
        fr"^(?P<event>[{SLUG_CHARS}]+)/page/(?P<slug>[^/]+)/$",
        views.ShowPageView.as_view(),
        name="show",
    ),
]
